WordPress.org

Support

Support » Plugins and Hacks » [Resolved] [Plugin: Hyphenator] Compatibility issues with WP 3.1

[Resolved] [Plugin: Hyphenator] Compatibility issues with WP 3.1

  • When I install your plugin, I get this error message on every page of the blog:

    Notice: Use of undefined constant hyphenator - assumed 'hyphenator' in /usr/share/wordpress/wp-content/plugins/hyphenator/plugin.php on line 32 Notice: Use of undefined constant auto - assumed 'auto' in /usr/share/wordpress/wp-content/plugins/hyphenator/plugin.php on line 68 Notice: Undefined variable: hyphenatorHeadConfig in /usr/share/wordpress/wp-content/plugins/hyphenator/plugin.php on line 83

    http://wordpress.org/extend/plugins/hyphenator/

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author e2b

    @e2b

    Looks like you get this error messages due to some strict error reporting which is enabled somewhere in your settings. But this is now fixed in the new plugin version, too. Thank you for your report.

    In addition it would be interesting if you get some errors on the Hyphenator options page (WordPress backend). Are there some further problems with this plugin?

    Using WordPress 3.1.4 and Hyphenator 3.3.0 I get this error message

    Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /usr/share/wordpress/wp-includes/functions.php on line 3387

    When trying Settings I get

    Help Warning: array_search() expects parameter 2 to be array, string given in /usr/share/wordpress/wp-content/plugins/hyphenator/options.php on line 59 Fatal error: Cannot unset string offsets in /usr/share/wordpress/wp-content/plugins/hyphenator/options.php on line 60

    Plugin Author e2b

    @e2b

    I did a code update. Please install the version 3.3.0.1 and try again. Thank you for your patience.

    Still I get

    Help
    Notice: Undefined index: stage in /usr/share/wordpress/wp-content/plugins/hyphenator/options.php on line 78 Notice: Use of undefined constant hyphenator - assumed 'hyphenator' in /usr/share/wordpress/wp-content/plugins/hyphenator/options.php on line 102

    but now I have at least settings showing up.

    Also, does it work with Raw HTML plugin?

    Plugin Author e2b

    @e2b

    Oh dear, the project definitely needs a full code rewrite.

    I have now fixed that, too. It’s not a new version so you have to reinstall the current version manually.

    As far as I know the plugin Raw HTML just enables raw html in post edits. As far as neither the WordPress header nor the language tag in the html template (normally as a attribute at the top <html> element) is disturbed, there should be no incompatibility issues.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘[Resolved] [Plugin: Hyphenator] Compatibility issues with WP 3.1’ is closed to new replies.